--- a/icingaweb2.spec	2024-04-18 02:31:53.023176328 +0300
+++ b/icingaweb2.spec	2024-04-18 02:31:53.043176636 +0300
@@ -199,7 +199,7 @@
 install -D -m0644 %name-php-fpm.conf %buildroot%_sysconfdir/fpm%_php_major.%_php_minor/php-fpm.d/%name.conf
 mkdir -p %buildroot%_datadir/icinga-php
 install -D -m0644 nginx-%name.conf %buildroot%_sysconfdir/nginx/sites-available.d/%name.conf
-install -D -m0644 %name-php-fpm.tmpfiles.conf %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -D -m0644 %name-php-fpm.tmpfiles.conf %buildroot%_tmpfilesdir/%name.conf
 
 # for %%ghost
 mkdir -p %buildroot%_sysconfdir/nginx/sites-enabled.d
@@ -256,7 +256,7 @@
 
 %files php-fpm
 %config(noreplace) %_sysconfdir/fpm%_php_major.%_php_minor/php-fpm.d/%name.conf
-%config(noreplace) %_sysconfdir/tmpfiles.d/%name.conf
+%config(noreplace) %_tmpfilesdir/%name.conf
 %ghost %dir /run/%name
 
 %files php
--- a/nagios.spec	2024-04-18 02:32:07.970406637 +0300
+++ b/nagios.spec	2024-04-18 02:32:08.005407176 +0300
@@ -255,7 +255,7 @@
 install -pDm0644 %SOURCE13 %buildroot/%_sysconfdir/lighttpd/nagios.conf
 
 # tmpfiles creation
-install -pDm0644 %SOURCE14 %buildroot/%_sysconfdir/tmpfiles.d/nagios.conf
+install -pDm0644 %SOURCE14 %buildroot/%_tmpfilesdir/nagios.conf
 
 %pre common
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null
@@ -352,7 +352,7 @@
 
 %files common
 %dir %_sysconfdir/%name
-%_sysconfdir/tmpfiles.d/nagios.conf
+%_tmpfilesdir/nagios.conf
 
 %dir %plugins_cmddir
 
--- a/php-fpm-fcgi.spec	2024-04-18 02:32:12.425475287 +0300
+++ b/php-fpm-fcgi.spec	2024-04-18 02:32:12.458475796 +0300
@@ -142,8 +142,8 @@
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm
 sed -i 's,@phpsuffix@,%_php_suffix,g' %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm 
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_tmpfilesdir/php%_php_suffix-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php%_php_suffix-fpm.service
@@ -178,7 +178,7 @@
 %config(noreplace) %php_sysconfdir/%php_sapi/php.ini
 %config(noreplace) %php_sysconfdir/%php_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php%_php_suffix-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+%config(noreplace) %_tmpfilesdir/php%_php_suffix-fpm.conf
 %php_servicedir/%php_sapi
 %config %_unitdir/php%_php_suffix-fpm.service
 %_rpmlibdir/91-php-%name.filetrigger
--- a/php-fpm-fcgi.spec	2024-04-18 02:32:12.561477383 +0300
+++ b/php-fpm-fcgi.spec	2024-04-18 02:32:12.582477706 +0300
@@ -142,8 +142,8 @@
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm
 sed -i 's,@phpsuffix@,%_php_suffix,g' %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm 
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_tmpfilesdir/php%_php_suffix-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php%_php_suffix-fpm.service
@@ -178,7 +178,7 @@
 %config(noreplace) %php_sysconfdir/%php_sapi/php.ini
 %config(noreplace) %php_sysconfdir/%php_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php%_php_suffix-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+%config(noreplace) %_tmpfilesdir/php%_php_suffix-fpm.conf
 %php_servicedir/%php_sapi
 %config %_unitdir/php%_php_suffix-fpm.service
 %_rpmlibdir/91-php-%name.filetrigger
--- a/php-fpm-fcgi.spec	2024-04-18 02:32:12.718479802 +0300
+++ b/php-fpm-fcgi.spec	2024-04-18 02:32:12.740480141 +0300
@@ -142,8 +142,8 @@
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm
 sed -i 's,@phpsuffix@,%_php_suffix,g' %buildroot%_sysconfdir/logrotate.d/php%_php_suffix-fpm 
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /run/php%_php_suffix-fpm 0750 root _webserver' >> %buildroot%_tmpfilesdir/php%_php_suffix-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php%_php_suffix-fpm.service
@@ -178,7 +178,7 @@
 %config(noreplace) %php_sysconfdir/%php_sapi/php.ini
 %config(noreplace) %php_sysconfdir/%php_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php%_php_suffix-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php%_php_suffix-fpm.conf
+%config(noreplace) %_tmpfilesdir/php%_php_suffix-fpm.conf
 %php_servicedir/%php_sapi
 %config %_unitdir/php%_php_suffix-fpm.service
 %_rpmlibdir/91-php-%name.filetrigger
--- a/slim.spec	2024-04-18 02:32:18.819573822 +0300
+++ b/slim.spec	2024-04-18 02:32:18.823573884 +0300
@@ -56,7 +56,7 @@
 
 # install logrotate entry
 install -m0644 -D %SOURCE5 %buildroot/%_sysconfdir/logrotate.d/%name
-install -p -D %SOURCE6 %buildroot%_sysconfdir/tmpfiles.d/%{name}.conf
+install -p -D %SOURCE6 %buildroot%_tmpfilesdir/%{name}.conf
 
 mkdir -p %buildroot%_unitdir
 install -m 644 %SOURCE7 %buildroot%_unitdir/%{name}.service
@@ -77,6 +77,6 @@
 %config(noreplace) %verify(not size mtime md5) %_sysconfdir/pam.d/%name
 %config(noreplace) %verify(not size mtime md5) %_sysconfdir/%name.conf
 %config(noreplace) %verify(not size mtime md5) %_sysconfdir/logrotate.d/%name
-%config(noreplace) %_sysconfdir/tmpfiles.d/%name.conf
+%config(noreplace) %_tmpfilesdir/%name.conf
 
 %changelog
